Bug 20594 - Interfaces for KeyframeRules missing
Summary: Interfaces for KeyframeRules missing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.5
: P2 Normal
Assignee: Dean Jackson
URL:
Keywords: InRadar
Depends on: 20613
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 17:26 PDT by Dean Jackson
Modified: 2008-09-03 14:46 PDT (History)
1 user (show)

See Also:


Attachments
IDL files and build config (18.62 KB, patch)
2008-09-01 18:43 PDT, Dean Jackson
hyatt: review-
Details | Formatted Diff | Diff
updated patch with testcase (27.40 KB, patch)
2008-09-02 17:25 PDT, Dean Jackson
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2008-09-01 17:26:59 PDT
WebKitCSSKeyframeRule and WebKitCSSKeyframesRule are missing IDL and DOM interfaces.
Comment 1 Dean Jackson 2008-09-01 17:28:45 PDT
<rdar://problem/6186330>
Comment 2 Dean Jackson 2008-09-01 18:43:46 PDT
Created attachment 23107 [details]
IDL files and build config
Comment 3 Dave Hyatt 2008-09-02 15:19:53 PDT
Comment on attachment 23107 [details]
IDL files and build config

Should be able to make a text layout test that accesses these interfaces from a stylesheet.
Comment 4 Dean Jackson 2008-09-02 17:25:23 PDT
Created attachment 23131 [details]
updated patch with testcase

Patch now includes the other IDL and has a groovy test (which unfortunately fails on TOT - will open a new bug)
Comment 5 Dave Hyatt 2008-09-03 13:06:47 PDT
Comment on attachment 23131 [details]
updated patch with testcase

r=me
Comment 6 Dean Jackson 2008-09-03 14:16:27 PDT
Committed r36066
	M	WebCore/GNUmakefile.am
	M	WebCore/bindings/js/JSCSSRuleCustom.cpp
	M	WebCore/bindings/objc/DOMInternal.h
	M	WebCore/DerivedSources.make
	M	WebCore/WebCore.xcodeproj/project.pbxproj
	M	WebCore/WebCore.pro
	M	WebCore/ChangeLog
	M	WebCore/WebCore.vcproj/WebCore.vcproj
	A	WebCore/css/WebKitCSSKeyframesRule.idl
	A	WebCore/css/WebKitCSSKeyframeRule.idl
	M	WebCore/WebCoreSources.bkl
	M	LayoutTests/ChangeLog
	A	LayoutTests/css3/keyframes-rule-expected.txt
	A	LayoutTests/css3/keyframes-rule.html

Comment 7 Dean Jackson 2008-09-03 14:46:42 PDT
Layout test fail bug - http://bugs.webkit.org/show_bug.cgi?id=20613